package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 标准法规场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StandardsRegulationsParam extends PageVO implements Serializable {

    private String regulationsId;              // （唯一）
    private String sceneName;  //场景名称
    private List<String> regulationType;  //法规类型
    private String standardType;  //标准类型
    private String share ; //是否分析  1为分享

    private String videoAddress ; //视频地址
    private String osgbAddress  ;//
    private String xmlAddress ; //
    private String xodrAddress ; //
    private String jsonAddress ; //
    private String videoPreview;//视频预览地址
    private String[] ids ; //回显数组

/*    private String ISO;
    private String GB;
    private String CNCAP;
    private String ENCAP;*/

    private List<String> label;  //法规类型


}