package api.common.pojo.vo.model;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class ConfigVO {

    //主键id
    private String id;
    //配置编码
    private String configCode;
    //配置名称
    private String configName;
    //配置描述
    private String configDescription;
    //车辆id
    private String vehicleId;
    //车辆名称
    private String vehicleName;
    //车辆描述
    private String vehicleDescription;
    //车辆图片
    private String vehicleImage;
    //是否分享
    private String share;

    //传感器数量
    private Map<String,String> sensorCount;
    //传感器配置列表
    private Map<String,List<ConfigSensorVO>> configSensors;

}
