package com.css.simulation.resource.project.service;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.project.SimulationManualProjectParam;

import java.util.Map;


public interface SimulationProjectService {

    ResponseBodyVO addOrUpdateProject(SimulationManualProjectParam param);

    ResponseBodyVO selectProject(SimulationManualProjectParam param);

    ResponseBodyVO selectProjectById(SimulationManualProjectParam param);

    ResponseBodyVO deleteProjectByids(SimulationManualProjectParam param);

    ResponseBodyVO updateProjectNowRunState(SimulationManualProjectParam param);

    ResponseBodyVO selectProjectDetailsById(SimulationManualProjectParam param);

    ResponseBodyVO selectProjectReportById(SimulationManualProjectParam param);

    ResponseBodyVO selectDropDownByType(SimulationManualProjectParam param);

    ResponseBodyVO selectProjectTaskById(SimulationManualProjectParam param);

    ResponseBodyVO selectMaxParallelism();

    String getDictName(String type, String code);

    ResponseBodyVO analysisVehicleCoord() throws Exception;

    ResponseBodyVO selectProjectTaskList(SimulationManualProjectParam param);

    ResponseBodyVO selectRunProjectBySy();
    ResponseBodyVO selectRunTaskBySy();
    ResponseBodyVO selectRunTaskByState();
    ResponseBodyVO selectRunProjectByState();
    ResponseBodyVO selectEvaluationLevel();
}
