package api.common.pojo.param.algorithm;

import lombok.Getter;
import lombok.Setter;
import org.springframework.web.multipart.MultipartFile;

@Getter
@Setter
public class AlgorithmParameter extends PageParameter {
    //id
    private String id;

    //算法名称
    private String algorithmName;

    //算法名称
    private String algorithmCode;

    //算法描述
    private String description;

    //校验状态
    private String validationStatus;

    //上传方式
    private String uploadMode;

    //仓库地址
    private String gitUrl;

    //代码仓库访问令牌
    private String gitToken;

    //算法文件在 minio 上的位置
    private String minioPath;

    //是否删除
    private String isDeleted;

    //是否公有
    private String share;

    //创建用户ID
    private String createUserId;

}
